<?php
/**
 * The template for displaying all pages
 */

get_header(); 

$is_page_banner = 1;
$page_sub_title = '';
$page_title = get_the_title();
$page_sidebar = 2;
if(defined('FW')){
    $is_page_banner = fw_get_db_post_option(get_the_ID(), 'is_page_banner', 1);
    $page_sub_title = fw_get_db_post_option(get_the_ID(), 'page_sub_title', '');
    $page_title = fw_get_db_post_option(get_the_ID(), 'page_title', get_the_title());
    $page_sidebar = fw_get_db_post_option(get_the_ID(), 'page_sidebar', 2);
}

if($page_title == ''){
    $page_title = get_the_title();
}
?>
<?php while(have_posts()): the_post(); ?>
    <?php if($is_page_banner == 1): ?>
    <!--BLOG BANNAR START-->
    <section class="workDetailHead bdetail">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="wdhContent bdetail">
                        <?php if($page_sub_title != ''): ?>
                            <h6><?php echo esc_html($page_sub_title); ?></h6>
                        <?php endif; ?>
                        <h3><?php echo esc_html($page_title); ?></h3>
                    </div> 
                </div>
            </div>
        </div>
    </section>
    <!--BLOG BANNAR END-->
    <?php endif; ?>
    <?php if(has_post_thumbnail()): ?>
    <section class="featcureImage3">
        <div class="wdFeactureImage">
            <?php echo get_the_post_thumbnail(get_the_ID(), 'full'); ?>
        </div>
    </section>
    <?php endif; ?>
    <!--BLOG CONTENT START-->
    <section class="commonSection noPaddingTop">
        <div class="container">
            <?php if($page_sidebar == 1): ?>
                <div class="row">
                    <?php if(is_active_sidebar('sidebar-2')): ?>
                    <div class="col-lg-4">
                        <div class="sidebar blog_sidebar">
                            <?php dynamic_sidebar('sidebar-2'); ?>
                        </div>
                    </div>
                    <?php endif; ?>
                    <div class="col-lg-<?php if(is_active_sidebar('sidebar-2')) { echo 8; } else { echo 12; } ?>">
                        <div class="journal_content">
                            <?php if(has_excerpt()): ?>
                            <h2 class="excerpts">
                                <?php echo get_the_excerpt(); ?>
                            </h2>
                            <?php endif; ?>
                            <div class="journal_content_area journal_main_content_area clearfix">
                                <?php the_content(); ?>
                                <div class="clearfix"></div>
                                <?php
                                    $defaults = array(
                                            'before'           => '<div class="PaginInner"><strong>' . esc_html__( 'Pages:', 'bespoke' ).'</strong>',
                                            'after'            => '</div>',
                                            'link_before'      => '<span>',
                                            'link_after'       => '</span>',
                                            'next_or_number'   => 'number',
                                            'separator'        => ' ',
                                            'nextpagelink'     => __( '<i class="fa fa-angle-right"></i>', 'bespoke'),
                                            'previouspagelink' => __( '<i class="fa fa-angle-left"></i>', 'bespoke' ),
                                            'pagelink'         => '%',
                                            'echo'             => 1
                                    );

                                    wp_link_pages( $defaults );
                                ?>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="row" id="comment">
                                    <?php if (comments_open() && get_comments_number() > 0) : ?>
                                        <div class="col-lg-12">
                                            <h3 class="commentTitle poppins"><?php echo esc_html(get_comments_number()) ?> <?php echo esc_html__('Comments', 'bespoke'); ?></h3>
                                        </div>
                                    <?php endif; ?>
                                    <div class="clearfix"></div>
                                    <div class="col-lg-12">
                                        <?php
                                            if ( comments_open() || get_comments_number() ) :
                                                comments_template();
                                            endif;
                                        ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <?php elseif($page_sidebar == 2): ?>
                <div class="row">
                    <div class="col-lg-<?php if(is_active_sidebar('sidebar-2')) { echo 8; } else { echo 12; } ?>">
                        <div class="journal_content">
                            <?php if(has_excerpt()): ?>
                            <h2 class="excerpts">
                                <?php echo get_the_excerpt(); ?>
                            </h2>
                            <?php endif; ?>
                            <div class="journal_content_area clearfix">
                                <?php the_content(); ?>
                                <div class="clearfix"></div>
                                <?php
                                    $defaults = array(
                                            'before'           => '<div class="PaginInner"><strong>' . esc_html__( 'Pages:', 'bespoke' ).'</strong>',
                                            'after'            => '</div>',
                                            'link_before'      => '<span>',
                                            'link_after'       => '</span>',
                                            'next_or_number'   => 'number',
                                            'separator'        => ' ',
                                            'nextpagelink'     => __( '<i class="fa fa-angle-right"></i>', 'bespoke'),
                                            'previouspagelink' => __( '<i class="fa fa-angle-left"></i>', 'bespoke' ),
                                            'pagelink'         => '%',
                                            'echo'             => 1
                                    );

                                    wp_link_pages( $defaults );
                                ?>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="row" id="comment">
                                    <?php if ( comments_open() && get_comments_number() > 0 ) : ?>
                                        <div class="col-lg-12">
                                            <h3 class="commentTitle poppins"><?php echo esc_html( get_comments_number()) ?> <?php echo esc_html__('Comments', 'bespoke'); ?></h3>
                                        </div>
                                    <?php endif; ?>
                                    <div class="clearfix"></div>
                                    <div class="col-lg-12">
                                        <?php
                                            if ( comments_open() || get_comments_number() ) :
                                                comments_template();
                                            endif;
                                        ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php if(is_active_sidebar('sidebar-2')): ?>
                    <div class="col-lg-4">
                        <div class="sidebar blog_sidebar">
                            <?php dynamic_sidebar('sidebar-2'); ?>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            <?php else: ?>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="journal_content">
                            <?php if(has_excerpt()): ?>
                            <h2 class="excerpts">
                                <?php echo get_the_excerpt(); ?>
                            </h2>
                            <?php endif; ?>
                            <div class="journal_content_area clearfix">
                                <?php the_content(); ?>
                                <div class="clearfix"></div>
                                <?php
                                    $defaults = array(
                                            'before'           => '<div class="PaginInner"><strong>' . esc_html__( 'Pages:', 'bespoke' ).'</strong>',
                                            'after'            => '</div>',
                                            'link_before'      => '<span>',
                                            'link_after'       => '</span>',
                                            'next_or_number'   => 'number',
                                            'separator'        => ' ',
                                            'nextpagelink'     => __( '<i class="fa fa-angle-right"></i>', 'bespoke'),
                                            'previouspagelink' => __( '<i class="fa fa-angle-left"></i>', 'bespoke' ),
                                            'pagelink'         => '%',
                                            'echo'             => 1
                                    );

                                    wp_link_pages( $defaults );
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-8 col-xs-12 pull-right">
                        <div class="row" id="comment">
                            <?php if ( comments_open() && get_comments_number() > 0 ) : ?>
                                <div class="col-lg-12">
                                    <h3 class="commentTitle poppins"><?php echo esc_html( get_comments_number()) ?> <?php echo esc_html__('Comments', 'bespoke'); ?></h3>
                                </div>
                            <?php endif; ?>
                            <div class="clearfix"></div>
                            <div class="col-lg-12">
                                <?php
                                    if ( comments_open() || get_comments_number() ) :
                                        comments_template();
                                    endif;
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </section>
    <!--BLOG CONTENT END-->
<?php endwhile; ?>
<?php 
get_footer();