<?php
/* 
 *  Single portfolio Page.
 */

get_header();

    while(have_posts()): the_post();
        $folio_subtitle = '';
        $folio_single_title = '';
        $folio_client_name = '';
        $folio_live_link_label = '';
        $folio_live_link = '#';
        
        $folio_contenttitle = '';
        
        $folio_gloal_label = '';
        $folio_gloal = '';
        $folio_gallery = array();
        
        $folio_is_share = 2;
        $folio_share_title = '';
        
        $folio_gallery_style = 1;
        
        $folio_is_pagination = 1;
        if(defined('FW')){
            $folio_subtitle = fw_get_db_post_option(get_the_ID(), 'folio_subtitle', '');
            $folio_single_title = fw_get_db_post_option(get_the_ID(), 'folio_single_title', '');
            $folio_client_name = fw_get_db_post_option(get_the_ID(), 'folio_client_name', '');
            $folio_live_link_label = fw_get_db_post_option(get_the_ID(), 'folio_live_link_label', '');
            $folio_live_link = fw_get_db_post_option(get_the_ID(), 'folio_live_link', '#');
            
            $folio_gallery_style = fw_get_db_post_option(get_the_ID(), 'folio_gallery_style', 1);
            
            $folio_contenttitle = fw_get_db_post_option(get_the_ID(), 'folio_contenttitle', '');
            
            $folio_gloal_label = fw_get_db_post_option(get_the_ID(), 'folio_gloal_label', '');
            $folio_gloal = fw_get_db_post_option(get_the_ID(), 'folio_gloal', '');
            $folio_gallery = fw_get_db_post_option(get_the_ID(), 'folio_gallery', array());
            
            $folio_is_share = fw_get_db_post_option(get_the_ID(), 'folio_is_share', 2);
            $folio_share_title = fw_get_db_post_option(get_the_ID(), 'folio_share_title', '');
            
            $folio_is_pagination = fw_get_db_post_option(get_the_ID(), 'folio_is_pagination', 1);
        }
        if($folio_single_title == ''){
            $folio_single_title = get_the_title();
        }
        
        $terms = get_the_terms(get_the_ID(), 'folio_cat');
        $cats = '';
        if (is_array($terms) && count($terms) > 0) 
        {
            $p = 1;
            $c = count($terms);
            foreach ($terms as $term) 
            {
                if($p == $c)
                {
                    $cats .= '<a href="'.  get_term_link($term->term_id, 'folio_cat').'">'.$term->name.'</a>';
                }
                else
                {
                    $cats .= '<a href="'.  get_term_link($term->term_id, 'folio_cat').'">'.$term->name.'</a>, ';
                }
                $p++;
            }
        }
        
        $folio_is_video = 2;
        $folio_video = '';
        if(defined('FW')){
            $folio_is_video = fw_get_db_post_option(get_the_ID(), 'folio_is_video', 2);
            $folio_video = fw_get_db_post_option(get_the_ID(), 'folio_video', '');
        }
?>
        <!--WORK DETAIL HEAD START-->
        <section class="workDetailHead">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="wdhContent">
                            <?php if($folio_subtitle != ''): ?>
                                <h6><?php echo esc_html($folio_subtitle); ?></h6>
                            <?php endif; ?>
                            <?php if($folio_single_title != ''): ?>
                                <h3><?php echo esc_html($folio_single_title); ?></h3>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="workMetas">
                            <div class="row">
                                <?php if($folio_client_name != ''): ?>
                                <div class="col-lg-3 col-sm-3 text-left">
                                    <div class="workMeta">
                                        <h6><?php esc_html_e('Client', 'bespoke'); ?></h6>
                                        <p><?php echo esc_html($folio_client_name); ?></p>
                                    </div>
                                </div>
                                <?php endif; ?>
                                <?php if($cats != ''): ?>
                                <div class="col-lg-5 col-sm-5 text-left">
                                    <div class="workMeta servic">
                                        <h6><?php esc_html_e('Categories', 'bespoke'); ?></h6>
                                        <p><?php echo wp_kses_post($cats); ?></p>
                                    </div>
                                </div>
                                <?php endif; ?>
                                <?php if($folio_live_link_label != ''): ?>
                                <div class="col-lg-4 col-sm-4 text-right">
                                    <a href="<?php echo esc_attr($folio_live_link); ?>" class="bes_button3"><?php echo esc_html($folio_live_link_label); ?></a>
                                </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--WORK DETAIL HEAD END-->
        <?php if($folio_is_video == 1 && $folio_video != '' && !has_post_thumbnail()): ?>
            <div class="folioVideocontainer">
                <iframe src="<?php echo esc_url($folio_video); ?>"></iframe>
            </div>
        <?php else: ?>
            <?php if(has_post_thumbnail()): ?>
            <!--FEACTURE IMAGE START-->
            <?php
                $bg = 'background-image: url('.get_the_post_thumbnail_url(get_the_ID(), "full").'); ';
            ?>
            <section class="folioFeatureImage" style="<?php echo esc_attr($bg); ?>">
                <?php if($folio_is_video == 1 && $folio_video != ''): ?>
                    <a href="<?php echo esc_url($folio_video); ?>" class="single_folio_video"><i class="icon-control-play"></i></a>
                <?php endif; ?>
            </section>
            <!--FEACTURE IMAGE END-->
            <?php endif; ?>
        <?php endif; ?>
        <?php if(get_the_content() != ''): ?>
        <!--WORK CONTENT START-->
        <section class="workContentSec">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="wdContent text-center">
                            <?php if($folio_contenttitle != ''): ?>
                            <h5>The challenge</h5>
                            <?php endif; ?>
                            <div class="folioSingleContent">
                                <?php the_content(); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--WORK CONTENT END-->
        <?php endif; ?>
        <?php if(is_array($folio_gallery) && count($folio_gallery) > 0): ?>
        <!--FEACTURE IMAGE START-->
        <section class="featcureImage2">
            <?php if($folio_gallery_style == 2): ?>
                <div class="container">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="carousel slide portfolioGallerySlider" id="pfgs" data-ride="carousel">
                                <div class="carousel-inner">
                                    <?php
                                        $i = 1;
                                        foreach($folio_gallery as $gal):
                                            $imgs = wp_get_attachment_image_src($gal['attachment_id'], 'bespoke_folio_slide2');
                                            $slide = $imgs[0];
                                            $imgs = wp_get_attachment_image_src($gal['attachment_id'], 'full');
                                            $full = $imgs[0];
                                            ?>
                                            <div class="item pfgs_gall_item <?php if($i == 1){ echo 'active'; } ?>">
                                                <img src="<?php echo esc_url($slide); ?>" alt=""/>
                                                <a href="<?php echo $full; ?>" class="fgpopup"><i class="fa fa-search"></i></a>
                                            </div>
                                            <?php
                                            $i++;
                                        endforeach;
                                    ?>
                                </div>
                                <a class="left carousel-control" href="#pfgs" role="button" data-slide="prev">
                                    <i class="fa fa-angle-left"></i>
                                </a>
                                <a class="right carousel-control" href="#pfgs" role="button" data-slide="next">
                                    <i class="fa fa-angle-right"></i>
                                </a>
                            </div>
                        </div>
                    </div>
                    <?php if($folio_gloal != ''): ?>
                    <div class="row mt75px">
                        <div class="col-lg-12">
                            <div class="wdContent text-center">
                                <?php if($folio_gloal_label != ''): ?>
                                <h5><?php echo esc_html($folio_gloal_label); ?></h5>
                                <?php endif; ?>
                                <div class="folioSingleContent">
                                     <?php echo wp_kses($folio_gloal, array()); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            <?php elseif($folio_gallery_style == 3): ?>
                <div class="container">
                    <div class="row noMargin" id="gridsam">
                        <?php
                            $i = 1;
                            foreach($folio_gallery as $gal):
                                $imgs = wp_get_attachment_image_src($gal['attachment_id'], 'full');
                                $slide = $imgs[0];
                                $imgs = wp_get_attachment_image_src($gal['attachment_id'], 'full');
                                $full = $imgs[0];
                                ?>
                                <div class="col-lg-4 col-sm-6 noPadding gritem">
                                    <div class="portfolioGallerySlider2">
                                        <img src="<?php echo esc_url($slide); ?>" alt=""/>
                                        <a href="<?php echo $full; ?>" class="fgpopup"><i class="fa fa-search"></i></a>
                                    </div>
                                </div>
                                <?php
                                $i++;
                            endforeach;
                        ?>
                    </div>
                    <?php if($folio_gloal != ''): ?>
                    <div class="row mt75px">
                        <div class="col-lg-12">
                            <div class="fullbars"></div>
                            <div class="wdContent text-center">
                                <?php if($folio_gloal_label != ''): ?>
                                <h5><?php echo esc_html($folio_gloal_label); ?></h5>
                                <?php endif; ?>
                                <div class="folioSingleContent">
                                     <?php echo wp_kses($folio_gloal, array()); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php endif; ?>
                </div>
            <?php else: ?>
                <div class="container-fluid">
                    <div class="row">
                    <?php 
                        $g = 1;
                        foreach($folio_gallery as $gal):
                            $imgs = wp_get_attachment_image_src($gal['attachment_id'], 'bespoke_folio_gall');
                            $img1 = $imgs[0];
                            $imgs = wp_get_attachment_image_src($gal['attachment_id'], 'bespoke_folio_gall2');
                            $img2 = $imgs[0];

                            if($g == 1):
                                ?>
                                <div class="col-lg-12 noPadding">
                                    <div class="wdFeactureImageGall">
                                        <img src="<?php echo esc_url($img1); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>">
                                    </div>
                                </div>
                                <?php
                            elseif($g == 2):
                                ?>
                                <?php if($folio_gloal != ''): ?>
                                <div class="col-lg-6 noPadding">
                                    <div class="rewdContent">
                                        <?php if($folio_gloal_label != ''): ?>
                                        <h5><?php echo esc_html($folio_gloal_label); ?></h5>
                                        <?php endif; ?>
                                        <p>
                                            <?php echo wp_kses($folio_gloal, array()); ?>
                                        </p>
                                    </div>
                                </div>
                                <?php endif; ?>
                                <div class="col-lg-6 noPadding">
                                    <div class="polioThumb work_d">
                                        <img src="<?php echo esc_url($img2); ?>" alt="<?php echo esc_attr(get_bloginfo()); ?>">
                                    </div>
                                </div>
                                <?php
                            else:
                                ?>
                                <div class="col-lg-6 noPadding">
                                    <div class="polioThumb work_d">
                                        <img src="<?php echo esc_url($img2); ?>" alt="<?php echo esc_attr(get_bloginfo('name')); ?>">
                                    </div>
                                </div>
                                <?php
                            endif;

                            $g++;
                        endforeach;
                    ?>
                    </div>
                </div>
            <?php endif; ?>
        </section>
        <!--FEACTURE IMAGE END-->
        <?php endif; ?>
        <div class="clearfix"></div>
        <?php if($folio_is_share == 1): ?>
        <section class="folio_share_section">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="shareTheProject">
                            <?php if($folio_share_title != '') : ?>
                                <h6><?php echo esc_html($folio_share_title); ?></h6>
                            <?php endif; ?>
                            <div class="shareSocial">
                                <a class="fb" href="http://www.facebook.com/share.php?u=<?php echo get_the_permalink(); ?>&title=<?php echo get_the_title(); ?>"><i class="fa fa-facebook"></i></a>
                                <a class="tw" href="http://twitter.com/intent/tweet?status=<?php echo get_the_title(); ?>+<?php echo get_the_permalink(); ?>"><i class="fa fa-twitter"></i></a>
                                <a class="gp" href="https://plus.google.com/share?url=<?php echo get_the_permalink(); ?>"><i class="fa fa-google-plus"></i></a>
                                <a class="pi" href="http://pinterest.com/pin/create/bookmarklet/?url=<?php echo get_the_permalink(); ?>&is_video=false&description=<?php echo get_the_title(); ?>"><i class="fa fa-pinterest"></i></a>
                                <a class="ln" href="http://www.linkedin.com/shareArticle?mini=true&url=<?php echo get_the_permalink(); ?>&title=<?php echo get_the_title(); ?>&source=<?php echo esc_url(home_url('/')); ?>"><i class="fa fa-linkedin"></i></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <?php endif; ?>
        <div class="clearfix"></div>
        <?php if($folio_is_pagination == 1): ?>
        <?php
            $prevpost = get_previous_post();
            $nextpost = get_next_post();
        ?>
        <!--NEXT PREV START-->
        <section class="nexprevPagination">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-sm-6 noPaddingLeft">
                        <?php if(!empty($prevpost)): ?>
                        <div class="paginationnp">
                            <?php if(has_post_thumbnail()): ?>
                                <?php echo get_the_post_thumbnail($prevpost->ID, 'bespoke_folio_pagination'); ?>
                            <?php else: ?>
                                <img src="http://themewar.com/placeholder.php?size=200x120" alt="<?php echo esc_attr(get_the_title($prevpost->ID)); ?>">
                            <?php endif; ?>
                            <h6><a href="<?php echo get_the_permalink($prevpost->ID); ?>"><?php esc_html_e('Previous', 'bespoke'); ?></a></h6>
                            <h1><a href="<?php echo get_the_permalink($prevpost->ID); ?>"><?php echo get_the_title($prevpost->ID); ?></a></h1>
                        </div>
                        <?php endif; ?>
                    </div>
                    <div class="col-sm-6 noPaddingRight">
                        <?php if(!empty($nextpost)): ?>
                        <div class="paginationnp right">
                            <?php if(has_post_thumbnail()): ?>
                                <?php echo get_the_post_thumbnail($nextpost->ID, 'bespoke_folio_pagination'); ?>
                            <?php else: ?>
                                <img src="http://themewar.com/placeholder.php?size=200x120" alt="<?php echo esc_attr(get_the_title($nextpost->ID)); ?>">
                            <?php endif; ?>
                            <h6><a href="<?php echo get_the_permalink($nextpost->ID); ?>"><?php esc_html_e('Next', 'bespoke'); ?></a></h6>
                            <h1><a href="<?php echo get_the_permalink($nextpost->ID); ?>"><?php echo get_the_title($nextpost->ID); ?></a></h1>
                        </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </section>
        <!--NEXT PREV END-->
        <?php endif; ?>
<?php
    endwhile;
get_footer();